faked(1)

NAMN
faked - demon som kommer ihåg fejkad ägarskaps- och rättighetsinformation för filer som manipulerats av fakeroot-processer.

SYNOPSIS
faked [--debug] [--foreground] [--cleanup] [--key meddelande-nyckel] [--load] [--save-file spar-fil] [--port tcp-port]

BESKRIVNING
If a fakeroot process wants to change the ownership of a file, then faked is the process that remembers that new owner. If later the same fakeroot process does a stat() for that filename, then the libfakeroot wrapped stat() call will first ask faked for the fake ownership etc. of that file, and then report it.

FLAGGOR

--debug
    Skriv ut avlusningsinformation via stderr.

--foreground
    Förbli en förgrundsprocess.

--cleanup number
    Rensa upp semaforerna.

--key key-number
    Don't allocate a new communication channel, but use channel specified by key. (If the specified channel doesn't exist, it's created).

--save-file save-file
    Spara miljön till sparfil vid avslut.

--load
    Läsa in en tidigare sparad miljö från standard in.

--unknown-is-real
    Okänt riktigt ägarskap av tidigare okända filer istället för att ställa in dem på root:root.

--port tcp-port
    Använd TCP-port tcp-port.

BUGGAR
None so far. Be warned, though: although I've written quite a few much larger (and smaller) programs, I've never written anything that was as tiny as fakeroot, had as many bugs as fakeroot, and still was as usable as, say, fakeroot version 0.0_3, the first version that could be used to build itself.

LICENS
fakeroot distribueras under GNU General Public License. (GPL 2.0 eller senare).

FÖRFATTARE

joost witteveen
    <joostje@debian.org>

Clint Adams
    <clint@debian.org>

Timo Savola

ÖVERSÄTTNING
David Weinehall <tao@kernel.org>

MANUALSIDA
mostly by J.H.M. Dassen <jdassen@debian.org> mods/additions by joost and Clint.

SE ÄVEN
fakeroot(1), dpkg-buildpackage(1), debuild(1), /usr/share/doc/fakeroot/DEBUG